/*
 * PartList.cs
 * $Id: PartList.cs 8 2004-11-10 01:09:24Z altba\tomoyo $
 * 
 */

using System;
using System.Collections;

namespace MacFace
{
	/// <summary>
	/// PartList ̊Tv̐łB
	/// </summary>
	public class PartList : ArrayList
	{
		public PartList()
		{
		}
		public PartList(ArrayList parts)
		{
			base.AddRange(parts);
		}
		public PartList(Part[] parts)
		{
			this.AddRange(parts);
		}

		//
		// overloads
		//
		public int Add(Part value)
		{
			return base.Add (value);
		}

		public void AddRange(Part[] c)
		{
			base.AddRange (c);
		}

		public void Remove(Part obj)
		{
			base.Remove (obj);
		}

		public bool Contains(Part item)
		{
			return base.Contains (item);
		}

		public int IndexOf(Part value)
		{
			return base.IndexOf (value);
		}

		public int IndexOf(Part value, int startIndex)
		{
			return base.IndexOf (value, startIndex);
		}
		
		public void CopyTo(Part[] array)
		{
			base.CopyTo (array);
		}
	}
}
